%define aurox_ver 10.1
%define rel 2

%define         _glib2          2.0.0
%define         hermes_version  1.3.3

Summary: GStreamer Streaming-media framework plugins
Name: gstreamer-plugins
Version: 0.8.5
%define major 0.8
Release: %{aurox_ver}.aur.%{rel}
License: LGPL
Group: Applications/Multimedia
Source: gst-plugins-%{version}.tar.bz2
#Source2: patch-tarball.sh
#Source3: removed-sources.txt
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: glib2 >= %_glib2
BuildRequires: glib2-devel >= %_glib2
Requires: gstreamer >= %{version}
PreReq: /usr/bin/gst-register
PreReq: GConf2
PreReq: /usr/bin/gconftool-2
BuildRequires: gstreamer-devel >= %{version} 
BuildRequires: arts-devel
BuildRequires: audiofile-devel >= 0.2.1
BuildRequires: cdparanoia-devel >= alpha9.7
BuildRequires: esound-devel >= 0.2.8
BuildRequires: gnome-vfs2-devel >= 2.1.3
BuildRequires: libjpeg-devel
BuildRequires: festival-devel
# Aurox multimedia:
BuildRequires: alsa-lib-devel
BuildRequires: libmad-devel
BuildRequires: liba52-devel
BuildRequires: smpeg-devel
BuildRequires: speex-devel
BuildRequires: xvidcore-devel
BuildRequires: flac-devel
BuildRequires: libfame-devel
BuildRequires: hermes-devel
BuildRequires: aalib-devel
BuildRequires: libid3tag-devel
BuildRequires: libraw1394-devel
# Not yet ready
#BuildRequires: libshout-devel
# end of Aurox-specific requirements
BuildRequires: mikmod
BuildRequires: gstreamer-devel >= 0.5.2-8
BuildRequires: SDL-devel >= 1.2.0
BuildRequires: libogg-devel >= 1.0
BuildRequires: libvorbis-devel >= 0:1.0beta4
BuildRequires: xmms-devel
BuildRequires: autoconf automake libtool
#Patch1: gst-plugins-0.4.2-pthread-includes.patch
#Patch2: gst-plugins-0.6.4-alsaold.patch

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

%package devel
Summary: Libraries/include files for GStreamer plugins.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gstreamer-devel >= %{version}

%description devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%prep
%setup -q -n gst-plugins-%{version}

#%patch1 -p1 -b .pthread-includes
#%patch2 -p1 -b .alsaold

%build
aclocal -I m4  -I common/m4
libtoolize --force --copy
automake
autoconf

CFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/Hermes"; export CFLAGS
CPPFLAGS="-I%{_includedir}/Hermes"; export CPPFLAGS

%configure --disable-vorbistest \
%ifnarch %{ix86}
  --disable-qcam \
%else
  --enable-qcam \
%endif
  --enable-DEBUG --disable-tests --disable-examples

make ##%{?_smp_mflags}

#cp %{SOURCE3} .

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{major}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{major}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_includedir}/gstreamer-%{major}/gst/media-info/media-info.h
rm -f $RPM_BUILD_ROOT%{_libdir}/libgstmedia-info*.so*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
env DISPLAY= /usr/bin/gst-register >/dev/null 2>&1
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gstreamer-0.8.schemas"
for S in $SCHEMAS; do 
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done

%postun
/sbin/ldconfig
env DISPLAY= /usr/bin/gst-register >/dev/null 2>&1

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_sysconfdir}/gconf/schemas/gstreamer-0.8.schemas
%{_bindir}/*
%{_libdir}/*so.*
%dir %{_libdir}/gstreamer-%{major}
#%ifarch %{ix86} ia64 ppc ppc64 x86_64
#%{_libdir}/gstreamer-%{major}/libgst1394.*
#%endif
#%ifarch %{ix86}
#%{_libdir}/gstreamer-%{major}/libgstqcam.*
#%endif

%{_libdir}/gstreamer-%{major}/*
%{_datadir}/locale/*

%{_mandir}/man*/*

%files devel
%defattr(-, root, root)
%{_includedir}/gstreamer-%{major}/gst/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*so

%changelog
* Thu Nov 04 2004 Aurox Team <aurox@aurox.org> 0:0.8.5-10.1.aur.2
- blah
- 0.8.0 version, Aurox 9.4

* Wed Sep 17 2003 Bill Nottingham <notting@redhat.com> 0.6.3-3
- more cleanups

* Fri Sep 12 2003 Nalin Dahyabhai <nalin@redhat.com> 0.6.3-2
- build gstcolorspace against a static bundled libHermes, which might want
  to move into its own package at some point
- explicitly list the plugins which are built in the files manifest so that
  we get errors if there are some which don't get built or get added between
  releases
- disable qcam on amd64 -- configure disables it on non-i386 arches
- limit 1394 support to amd64,ia64,ppc,ppc64,x86

* Thu Sep 11 2003 Alexander Larsson <alexl@redhat.com> 0.6.3-1
- Update to 0.6.3 (gnome 2.4 final)
- remove all mpeg plugins

* Tue Aug 19 2003 Alexander Larsson <alexl@redhat.com> 0.6.2-1
- 0.6.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 21 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-7
- use automake 1.6

* Mon Feb 17 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- rebuild to get sane s390x requires

* Tue Feb 11 2003 Jonathan Blandford <jrb@redhat.com> 0.6.0-4
- unset the DISPLAY when running gst-register

* Sat Feb  8 2003 Bill Nottingham <notting@redhat.com> 0.6.0-4
- move libgst*.so.X.X to main package; things require them (#80518, #83805)
- gstreamer-plugins-devel requires gstreamer-devel (#82506)

* Tue Feb  4 2003 Jonathan Blandford <jrb@redhat.com> 0.6.0-3
- remove ffmpeg for now.  It doesn't build -fPIC

* Tue Feb 04 2003 Phil Knirsch <pknirsch@redhat.com> 0.6.0-2
- Bump release and rebuild.

* Thu Jan 30 2003 Jonathan Blandford <jrb@redhat.com>
- new version.  Requires new gstreamer.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Matt Wilson <msw@redhat.com> 0.5.0-18
- disable qcam on all non x86 and x86_64 platforms

* Mon Dec 30 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- fix spec file to better remove libgstmedia-info
- exclude for mainframe

* Thu Dec 19 2002 Elliot Lee <sopwith@redhat.com> 0.5.0-15
- Include ia64
- Add BuildRequires: autoconf automake

* Wed Dec 18 2002 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Tue Dec 17 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-12
- rebuild

* Mon Dec 16 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-10
- rebuild
- disable tests

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 0.5.0-9
- rebuild

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-7
- fix libdir for ia64.

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-3
- ExcludeArch: ia64.   Random assembler errors that I have no hope of fixing
- Add devel package

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-1
- 0.5.0
- apparently, festival-devel isn't needed.

* Tue Dec 10 2002 Tim Powers <timp@redhat.com> 0.4.2-3
- rebuild to fix broken dep on libgstreamer-0.4.2.so.0

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- excludearch the arches that can't build gstreamer cothreads
- well it isn't really SMP-safe
- add patch for including pthread.h when required
- prereq gconftool
- fix typo that broke schema installation in post

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- initial "official" import
- munge tarball for legal cleanliness

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.2

* Mon Sep 23 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.1
- install the gconf schema
- use %%configure

* Sun Sep 22 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.4.0
- give explicit vorbis include path, don't run vorbis test

* Sun Aug 11 2002 Jeremy Katz <katzj@redhat.com>
- collapse into one package to preserve some sanity

* Wed Mar 13 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added more BuildRequires and Requires
- rearranged some plugins
- added changelog ;)
